package io;

import java.io.*;

public class IOTest {

    public static void writeTest() {
        BufferedWriter bw = null;
        String line = "This is a line!";
        try {
			// File Writer 2. paramétere true, akkor hozzáfűzi és nem felülírás
            bw = new BufferedWriter(new FileWriter("text.txt",true));
            for (int i = 0; i < 5; i++ ) {
                bw.write(line, 0, line.length());
                bw.newLine();
            }
        } catch (FileNotFoundException ex) {
            System.out.println("File does not exist.");
        } catch (IOException ex) {
            System.out.println("Other IOException.");
        } finally{
            try { 
                bw.close();
            } catch (IOException ex) {
                System.out.println("File could not be closed succesfully.");
            }
        }

    }

    public static void readTest() {
        BufferedReader br = null;
        try {
            br = new BufferedReader(new FileReader("text.txt"));
            String line = null;
            while ((line = br.readLine()) != null) {
                System.out.println(line);
            }
        } catch (FileNotFoundException ex) { 
            System.out.println("File does not exist.");
        } catch (IOException ex) {
            System.out.println("Other IOException.");
        } finally {
            try { 
                br.close();
            } catch (IOException ex) {
                System.out.println("File could not be closed succesfully.");
            }
        }
    }

    public static boolean compareFiles(String f1,String f2) {
        BufferedReader br1 = null;
        BufferedReader br2 = null;
        String line1 = null, line2 = null;
        try {
            br1 = new BufferedReader(new FileReader(f1));
            br2 = new BufferedReader(new FileReader(f2));
            line1 = br1.readLine();
            line2 = br2.readLine();
            while (line1 != null && line2 != null) {
                if (! line1.equals(line2))
                    return false;
                line1 = br1.readLine();
                line2 = br2.readLine();
            }
        } catch (FileNotFoundException ex) { 
            System.out.println("File does not exist.");
        } catch (IOException ex) {
            System.out.println("Other IOException.");
        } finally {
            try { 
                br1.close();
                br2.close();
            } catch (IOException ex) {
                System.out.println("File could not be closed succesfully.");
            }
        }
        return line1 == null && line2 == null;
    }

    public static void main (String[] args) {
        System.out.println("Writing the file...");
        writeTest();
        System.out.println("Reading the file...");
        readTest();
        //breakLines();
        //System.out.println(compareFiles("text.out", "text.out2") ? "OK" : "Error");
    }
}